Package be.ehealth.businessconnector.genins.service.impl

# Class GenInsServiceImpl

java.lang.Object
be.ehealth.businessconnector.genins.service.impl.GenInsServiceImpl

All Implemented Interfaces:
  `GenInsService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class GenInsServiceImpl extends Object implements GenInsService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation of `GenInsService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenInsServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `GetInsurabilityResponse`
  `getInsurability(SAMLToken token, GetInsurabilityAsXmlOrFlatRequestType requestType)`
  Method which call the web service getInsurability
  `GetInsurabilityAsFlatResponse`
  `getInsurabilityAsFlat(SAMLToken token, GetInsurabilityAsXmlOrFlatRequestType request)`
  Method which call the web service getInsurabilityAsFlat

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenInsServiceImpl

    public GenInsServiceImpl()

- ## Method Details

  - ### getInsurabilityAsFlat

    public GetInsurabilityAsFlatResponse getInsurabilityAsFlat(SAMLToken token, GetInsurabilityAsXmlOrFlatRequestType request) throws GenInsBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `GenInsService`
    Method which call the web service getInsurabilityAsFlat
    Specified by:
      `getInsurabilityAsFlat` in interface `GenInsService`
    Parameters:
      `token` - the token
      `request` -
    Returns:
      GetInsurabilityAsFlatResponse object
    Throws:
      `GenInsBusinessConnectorException`
      `TechnicalConnectorException` - the malformed url exception
      `SessionManagementException`
    See Also:
      - invalid reference

            be.ehealth.businessconnector.genins.service.GenInsService#getInsurabilityAsFlat(be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityAsXmlOrFlatRequestType)

  - ### getInsurability

    public GetInsurabilityResponse getInsurability(SAMLToken token, GetInsurabilityAsXmlOrFlatRequestType requestType) throws GenInsBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Description copied from interface: `GenInsService`
    Method which call the web service getInsurability
    Specified by:
      `getInsurability` in interface `GenInsService`
    Parameters:
      `token` -
      `requestType` -
    Returns:
      GetInsurabilityResponse object
    Throws:
      `GenInsBusinessConnectorException`
      `TechnicalConnectorException` - the malformed url exception
      `SessionManagementException`
    See Also:
      - invalid reference

            be.ehealth.businessconnector.genins.service.GenInsService#getInsurability(be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityAsXmlOrFlatRequestType)

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`